mupen64plus-video-glide64mk2_2.5-6_amd64.deb


Advertisement

Description

mupen64plus-video-glide64mk2 - Glide64Mk2 high-level graphics emulation for mupen64plus

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename mupen64plus-video-glide64mk2_2.5-6_amd64.deb
Package name mupen64plus-video-glide64mk2
Package version 2.5
Package release 6
Package architecture amd64
Package type deb
Category universe/games
Homepage http://mupen64plus.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 332.07 KB
Installed size 1.04 MB
High-level graphics emulation plugin for known microcodes based on Glide. This
version includes a Glide-to-OpenGL wrapper which makes it independent of
Voodoo cards. It supports advanced graphics effects of the N64 and loading of
high resolution texture packs.
It is based on Glide64 Napalm which was ported to Linux and amd64.

Alternatives

Package Version Architecture Repository
mupen64plus-video-glide64mk2_2.5-6_i386.deb 2.5 i386 Ubuntu Universe
mupen64plus-video-glide64mk2 - - -

Requires

Name Value
libboost-filesystem1.67.0 -
libc6 >= 2.15
libgcc1 >= 1:3.3.1
libgl1 -
libpng16-16 >= 1.6.2-1
libsdl2-2.0-0 >= 2.0.8
libstdc++6 >= 5.2
mupen64plus-config-abi-2.2 -
mupen64plus-gfx-abi-2.2 -
mupen64plus-vidext-abi-3 -
zlib1g >= 1:1.2.3.4

Provides

Name Value
mupen64plus-video -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mupen64plus-video-glide64mk2_2.5-6_amd64.deb
Source Package mupen64plus-video-glide64mk2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mupen64plus-video-glide64mk2 deb package:
    # sudo apt-get install mupen64plus-video-glide64mk2

Files

Path
/usr/lib/x86_64-linux-gnu/mupen64plus/mupen64plus-video-glide64mk2.so
/usr/share/doc/mupen64plus-video-glide64mk2/changelog.Debian.gz
/usr/share/doc/mupen64plus-video-glide64mk2/copyright
/usr/share/games/mupen64plus/Glide64mk2.ini

Changelog

2018-10-18 - Sven Eckelmann <sven@narfation.org>
mupen64plus-video-glide64mk2 (2.5-6) unstable; urgency=medium
* Upgraded to policy 4.2.1
- remove get-orig-source rule from debian/rules
* debian/rules
- Drop (now default) parameter --parallel for dch
2018-02-05 - Sven Eckelmann <sven@narfation.org>
mupen64plus-video-glide64mk2 (2.5-5) unstable; urgency=medium
* debian/control
- Change Vcs-Git to https://
- update to debhelper 10
- Switch to salsa URLs for Vcs-*
* Sort debian control files with `wrap-and-sort -abst`
* Upgraded to policy 4.1.3, no changes required
* debian/copyright:
- Update copyright years
* debian/rules
- Remove ddeb migration conflict against pre-stretch package
- Disable usage of libtxc-dxtn0 which is no longer available
(Closes: #889606)
2016-01-14 - Sven Eckelmann <sven@narfation.org>
mupen64plus-video-glide64mk2 (2.5-4) unstable; urgency=medium
* debian/rules:
-  Build armhf for reproducible CI with GLES
2016-01-01 - Sven Eckelmann <sven@narfation.org>
mupen64plus-video-glide64mk2 (2.5-3) unstable; urgency=medium
* debian/control, debian/rules:
- Drop mupen64plus-video-glide64mk2-dbg in favor of -dbgsym package
* debian/patches:
- Add Fix-spelling-errors.patch, Fix spelling errors
* Update copyright years in debian/copyright
2015-11-26 - Sven Eckelmann <sven@narfation.org>
mupen64plus-video-glide64mk2 (2.5-2) unstable; urgency=medium
* debian/patches:
- Move patches to alternative DEP-3 format and manage them with gbp pq
- Add Use-pkg-config-to-find-GLESv2-library.patch, Use pkg-config to
find GLESv2 library
* debian/control:
- Move Vcs URLs from collab-maint to pkg-games
- Update upstream URLs
- Set Maintainer to Debian Games Team
2015-05-02 - Sven Eckelmann <sven@narfation.org>
mupen64plus-video-glide64mk2 (2.5-1) unstable; urgency=medium
* New Upstream Version
* debian/control:
- Upgraded to policy 3.9.6, no changes required
- Change Vcs-Browser to new alioth CGit URL
* debian/copyright:
- Update years
- Fix errors in paths to specific files
- Reorder copyright sections and remove some wildcards
- Add new files in 2.5
* debian/patches:
- Remove upstream merged empty_dlist.patch, init_quit.patch,
kfreebsd_hurd_support.patch, load_hires_cache.patch,
mesa_fxt1.patch, old_glgethandlearb_program_object.patch,
path_max_war.patch, s3tc_removal.patch, shader_reset.patch
- Add revert_forced_linux_flto_jobserver.patch, Remove forced
flto=jobserver on linux
- Add fix_negative_framebuffers_indices.patch, Fix negative
frame_buffer indices
- Add fix_segfault_on_texture_load.patch, Fix segfault when loading
4bCI texture with negative ext
* Add debian/upstream/metadata with some contact addresses of the
upstream project
2014-08-30 - Sven Eckelmann <sven@narfation.org>
mupen64plus-video-glide64mk2 (2.0-3) unstable; urgency=low
* Upgraded to policy 3.9.5, no changes required
* debian/patches:
- Add shader_reset.patch, Set shader again after displaying OSD
- Add empty_dlist.patch, Handle empty display list to avoid infinite loop
- Add old_glgethandlearb_program_object.patch, Use glGetHandleARB to get
program object
- Add DEP-3 origin information
* debian/watch:
- Change upstream check from bitbucket to github
* debian/copyright:
- Change upstream source to github
* debian/get-orig-source.sh
- Change upstream repository to github
- Change SCM from Mercurial to Git
* Update copyright years in debian/copyright
* Move keyring for signature verification to new debian/upstream/
* debian/rules:
- Use Largefile Support enabled C API

See Also

Package Description
mupen64plus-video-rice_2.5-5_amd64.deb Rice's high-level graphics emulation for mupen64plus
mupen64plus-video-z64_2.0.0+13+g72af4f0-7_amd64.deb low-level rdp emulation for mupen64plus
murano-agent_3.6.0-0ubuntu1_all.deb cloud-ready application catalog - VM agent
murano-api_7.0.0-0ubuntu1_all.deb cloud-ready application catalog - API server
murano-cfapi_7.0.0-0ubuntu1_all.deb cloud-ready application catalog - Cloud Foundry broker
murano-common_7.0.0-0ubuntu1_all.deb cloud-ready application catalog - common files
murano-doc_7.0.0-0ubuntu1_all.deb cloud-ready application catalog - doc
murano-engine_7.0.0-0ubuntu1_all.deb cloud-ready application catalog - Engine server
murasaki-common_1.68.6-8_all.deb homology detection tool across multiple large genomes (common files)
murasaki-mpi_1.68.6-8_amd64.deb homology detection tool across multiple large genomes (MPI-version)
murasaki_1.68.6-8_amd64.deb homology detection tool across multiple large genomes
muroar-bin_0.1.13-4_amd64.deb minimalist RoarAudio client library (binary package)
muroard-dev_0.1.14-6_amd64.deb minimalist RoarAudio sound daemon (development files)
muroard_0.1.14-6_amd64.deb minimalist RoarAudio sound daemon
murrine-themes_0.98.11_all.deb themes for gtk2 murrine engine
Advertisement
Advertisement